import { BaseProvider } from '@tinystacks/ops-core';
import { CliEnvironmentProvider } from './cli-environment-provider.js';
import { CredentialsProvider } from './credentials-provider.js';
import { OtherProperties } from '@tinystacks/ops-core/dist/types.js';
import { Provider } from '@tinystacks/ops-model';
type GithubCredentials = {
    token: string;
};
type GithubCredentialsProviderType = Provider & {
    credentials: GithubCredentials;
    /**
     * The GitHub hostname to target.  Set this for Github Enterprise.
     */
    host?: string;
};
declare class GithubCredentialsProvider extends BaseProvider implements CliEnvironmentProvider, CredentialsProvider, GithubCredentialsProviderType {
    static type: string;
    credentials: GithubCredentials;
    host?: string;
    constructor(props: GithubCredentialsProviderType);
    static fromJson(object: GithubCredentialsProviderType): GithubCredentialsProvider;
    getCredentials(): GithubCredentials;
    getCliEnvironment(envVars?: OtherProperties): OtherProperties;
}
export { GithubCredentialsProviderType, GithubCredentials, GithubCredentialsProvider };
